astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- TAP/TAP+ (`astroquery.utils.tap`) »
- TapTableMeta

# TapTableMeta

class astroquery.utils.tap.TapTableMeta

  Bases: `object`

  TAP table metadata object

  Constructor

  Methods Summary

  `add_column`(tap_column) | Adds a table TAP column
  `get_qualified_name`() | Returns the qualified TAP table name.

  Methods Documentation

  add_column(tap_column)

    Adds a table TAP column

    Parameters:
      tap_column TAP Column object, mandatory

        table TAP column

  get_qualified_name()

    Returns the qualified TAP table name. I.e. schema+table

    Returns:
      The qualified TAP table name (schema+table)